import { main, transaction } from "@/api";
import request from "@/utils/require";

// 回复履约提醒
export function hfhtlytx(data) {
	return request({
		url: `${main}//tyHttx/hfhtlytx`,
		method: "post",
		data: data,
	});
}
// 距离合同完成时间提前提醒时间设置
export function htsjtxsz(data) {
	return request({
		url: `${main}/tyHttx/htsjtxsz`,
		method: "post",
		params: data,
	});
}
// 履约提醒分页列表查询
export function queryPageList(params, data) {
	return request({
		url: `${main}/tyHttx/queryPageList?pageNum=${params.pageNum}&pageSize=${
			params.pageSize
		}`,
		method: "post",
		data: data,
	});
}
// 生成敦促履约涵(初次打开)
export function scdclyh(data) {
	return request({
		url: `${main}/tyHttx/scdclyh`,
		method: "post",
		data,
		params: data,
	});
}
// 添加提醒测试
export function tjhtlytxTest(data) {
	return request({
		url: `${main}/tyHttx/tjhtlytxTest`,
		method: "POST",
		data,
	});
}
// 修改或保存敦促履约涵
export function xgbcDclyh(data) {
	return request({
		url: `${main}/tyHttx/xgbcDclyh`,
		method: "POST",
		params: data,
	});
}
// 详情
export function queryDclyhById(data) {
	return request({
		url: `${main}/tyHttx/queryDclyhById`,
		method: "get",
		params: data,
	});
}
export function htsjtxcx() {
	return request({ url: `${main}/tyHttx/htsjtxcx`, method: "get" });
}
